verify_step_up
POST
/auth/step-up/verify
const url = 'https://api.siteqwality.com/auth/step-up/verify';const options = { method: 'POST', headers: { 'X-SQ-Session-Token': 'example', Authorization: 'Bearer <token>', 'Content-Type': 'application/json' }, body: '{"challenge_handle":"example","code":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.siteqwality.com/auth/step-up/verify \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --header 'X-SQ-Session-Token: example' \ --data '{ "challenge_handle": "example", "code": "example" }'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Header Parameters
Section titled “Header Parameters ” X-SQ-Session-Token
required
string
Current opaque session token. The legacy X-Stytch-Session-Token header is also accepted.
Request Body required
Section titled “Request Body required ” Media type application/json
object
challenge_handle
required
string
code
required
string
Example generated
{ "challenge_handle": "example", "code": "example"}Responses
Section titled “ Responses ”Security change confirmed
Media type application/json
object
ok
required
boolean
Example generated
{ "ok": true}